Change History for Building/Preparation/Linux

Version Date Author Comment
67 30 hours bgamari
66 4 months takenobu add sudo apt-get install python3 for validating
65 5 months mpickering
64 5 months mpickering
63 5 months mpickering
62 5 months mpickering
61 5 months mpickering Update instructions for NixOS
60 6 months siddhanathan Haddock no longer needed, and add cabal-install in Arch instructions
59 10 months fmthoma Patches have been added, so patch phase is required for ghc HEAD.
58 11 months thomie Refer to the LLVM installation page
57 13 months sgillespie Fix typo in Arch instructions
56 13 months sgillespie Update ArchLinux instructions; Was pointing to a broken link
55 13 months thomie Also necessary: texlive-fonts-recommended fonts-lmodern
54 13 months thomie Add texlive-xetex to Ubuntu
53 18 months sibi
52 19 months thomie llvm-3.7 is needed
51 20 months thomie Mention sphinx
50 23 months thomie Remove sync-all
49 2 years thomie texlive-font-utils needed for epstopdf
48 2 years thomie Add gregwebs github link
47 2 years reduceleft Consistent formatting, add github link for quickstart commands to build
46 2 years reduceleft Include command for most recent version of Fedora (Fedora 22)
45 2 years nkaretnikov
44 2 years nkaretnikov
43 2 years nkaretnikov
42 2 years nkaretnikov
41 2 years nkaretnikov
40 2 years thomie Add libxml2-utils for xmllint
39 2 years thomie llvm-3.6 is needed
38 2 years GregWeber arc explanation
37 2 years GregWeber mention arc in Docker section
36 2 years GregWeber document using docker
35 2 years GregWeber add python and bzip2 which are used during testing
34 3 years thomie Mention make sdist
33 3 years thomie Add libgmp-dev
32 3 years thomie Add package xutils-dev, which provides lndir
31 3 years thomie linux-tools-*generic*
30 3 years Artyom.Kazak dependencies for Arch
29 3 years carlhowells the automake package is required for the aclocal bin
28 4 years guest I found that I needed llvm (using raspbian wheezy, building GHC 7.6.3 …
27 4 years krakrjak Found a way forward on Debian wheezy, sharing the details here.
26 4 years krakrjak Turns out upgrading Happy to sid version uninstalls the …
25 4 years krakrjak Reference to ghc6 package is obsolete.
24 4 years krakrjak Updating instructions to include gotchas for building on Debian.
23 5 years simonmar
22 5 years simonmar
21 5 years simonmar
20 5 years simonmar
19 5 years simonmar
18 5 years simonmar
17 5 years simonmar
16 5 years simonmar
15 5 years simonmar
14 5 years simonmar
13 5 years simonmar
12 5 years heisenbug tyop
11 6 years dterei
10 6 years tianyicui
9 6 years tianyicui
8 7 years bpt list debian package names (e.g. glibc-dev -> libc6-dev)
7 7 years JasonDagit add libffi-dev to debian packages. A similar package is probably …
6 8 years simonmar
5 8 years guest typo
4 8 years simonmar add darcs
3 8 years simonmar
2 8 years simonmar
1 8 years simonmar